import numpy as np
from mayavi import mlab

x, y, z = np.ogrid[-7:7:0.5, -7:7:0.5, -1:7:0.5]
scalars = x * x + y * y - z * z

src = mlab.pipeline.scalar_field(scalars)
grid = mlab.pipeline.extract_grid(src)
grid.x_min = 5
grid.x_max = 20
grid.y_min = 5
grid.y_max = 20
mlab.pipeline.surface(grid)

mlab.show()
